Class Specialization
Caster
Casts the input type in a specific output type.

Pipe

Caster

Pipe<TInput, Caster<TValue[, TSpec]> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
TValue | The new output type.
TSpec | CasterReinterpret (default) or CasterConvert.

Remarks
The input stream is casted using reinterpret_cast<TValue>.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51